package com.fdage.shiro;

import org.apache.shiro.ShiroException;

public class JwtAuthenticationException extends ShiroException {

    private static final long serialVersionUID = 2899335020273674736L;

    private int code;

    private String msg;

    public JwtAuthenticationException(int code, String msg){
        super(msg);
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
